Loading...
Searching...
No Matches
event.c File Reference
Rig (transceiver) API

Event handling. More...

`#include "hamlib/config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <pthread.h>`
`#include "hamlib/rig.h"`
`#include "hamlib/rig_state.h"`
`#include "event.h"`
`#include "misc.h"`
`#include "cache.h"`
`#include "network.h"`
Include dependency graph for event.c:

## Data Structures

struct | rig_poll_routine_args_s
struct | rig_poll_routine_priv_data_s

## Macros

#define | CHECK_RIG_ARG(r)

## Typedefs

typedef struct rig_poll_routine_args_s | rig_poll_routine_args
typedef struct rig_poll_routine_priv_data_s | rig_poll_routine_priv_data

## Functions

void * | rig_poll_routine (void *arg)
int | rig_poll_routine_start (RIG *rig)
| Start rig poll routine.
int | rig_poll_routine_stop (RIG *rig)
| Stop rig poll routine.
int | rig_set_freq_callback (RIG *rig, freq_cb_t cb, rig_ptr_t arg)
| set the callback for freq events
int | rig_set_mode_callback (RIG *rig, mode_cb_t cb, rig_ptr_t arg)
| set the callback for mode events
int | rig_set_vfo_callback (RIG *rig, vfo_cb_t cb, rig_ptr_t arg)
| set the callback for vfo events
int | rig_set_ptt_callback (RIG *rig, ptt_cb_t cb, rig_ptr_t arg)
| set the callback for ptt events
int | rig_set_dcd_callback (RIG *rig, dcd_cb_t cb, rig_ptr_t arg)
| set the callback for dcd events
int | rig_set_pltune_callback (RIG *rig, pltune_cb_t cb, rig_ptr_t arg)
| set the callback for pipelined tuning module
int | rig_set_spectrum_callback (RIG *rig, spectrum_cb_t cb, rig_ptr_t arg)
| set the callback for spectrum line reception events
int | rig_set_trn (RIG *rig, int trn)
| control the transceive mode
int | rig_get_trn (RIG *rig, int *trn)
| get the current transceive mode
int | rig_fire_freq_event (RIG *rig, vfo_t vfo, freq_t freq)
int | rig_fire_mode_event (RIG *rig, vfo_t vfo, rmode_t mode, pbwidth_t width)
int | rig_fire_vfo_event (RIG *rig, vfo_t vfo)
int | rig_fire_ptt_event (RIG *rig, vfo_t vfo, ptt_t ptt)
int | rig_fire_dcd_event (RIG *rig, vfo_t vfo, dcd_t dcd)
int | rig_fire_pltune_event (RIG *rig, vfo_t vfo, freq_t *freq, rmode_t *mode, pbwidth_t *width)
int | rig_fire_spectrum_event (RIG *rig, struct rig_spectrum_line *line)

## Detailed Description

Event handling.